Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## nl.liacs.subdisc
Enum TargetConcept.TargetType

    java.lang.Object
      java.lang.Enum<TargetConcept.TargetType>
          nl.liacs.subdisc.TargetConcept.TargetType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TargetConcept.TargetType>

Enclosing class:
  TargetConcept

    public static enum TargetConcept.TargetType

extends java.lang.Enum<TargetConcept.TargetType>

Enum Constant Summary
`DOUBLE_CORRELATION`
`DOUBLE_REGRESSION`
`MULTI_BINARY_CLASSIFICATION`
`MULTI_LABEL`
`SINGLE_NOMINAL`
`SINGLE_NUMERIC`
`SINGLE_ORDINAL`

Field Summary
`java.lang.String` | `TEXT`

Method Summary
`static TargetConcept.TargetType` | `getTargetType(java.lang.String theType)`
`boolean` | `hasSecondaryTarget()`
`boolean` | `isEMM()`
`boolean` | `isImplemented()`
`static TargetConcept.TargetType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TargetConcept.TargetType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLE_NOMINAL

    public static final TargetConcept.TargetType SINGLE_NOMINAL

### SINGLE_NUMERIC

    public static final TargetConcept.TargetType SINGLE_NUMERIC

### SINGLE_ORDINAL

    public static final TargetConcept.TargetType SINGLE_ORDINAL

### DOUBLE_REGRESSION

    public static final TargetConcept.TargetType DOUBLE_REGRESSION

### DOUBLE_CORRELATION

    public static final TargetConcept.TargetType DOUBLE_CORRELATION

### MULTI_LABEL

    public static final TargetConcept.TargetType MULTI_LABEL

### MULTI_BINARY_CLASSIFICATION

    public static final TargetConcept.TargetType MULTI_BINARY_CLASSIFICATION

Field Detail

### TEXT

    public final java.lang.String TEXT

Method Detail

### values

    public static TargetConcept.TargetType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TargetConcept.TargetType c : TargetConcept.TargetType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TargetConcept.TargetType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getTargetType

    public static TargetConcept.TargetType getTargetType(java.lang.String theType)

### isEMM

    public boolean isEMM()

### isImplemented

    public boolean isImplemented()

### hasSecondaryTarget

    public boolean hasSecondaryTarget()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD